Skip to content
vocapable.Docs

This company's connections (all states)

GET
/v1/workspace/integrations/installations
curl --request GET \
--url https://api.vocapable.com/v1/workspace/integrations/installations \
--header 'Authorization: Bearer <token>'
provider
Any of:
string
<= 64 characters

Successful Response

Media typeapplication/json
Response List Installations V1 Workspace Integrations Installations Get
Array<object>
WorkspaceInstallation
object
id
required
Id
string
provider
required
Provider
string
slug
required
Slug
string
name
required
Name
string
status
required
Status
string
Allowed values: draft awaiting_authorization checking_access review_required active attention_needed rate_limited paused reauthorization_required disconnected
status_reason
required
Any of:
string
capabilities
required
Capabilities
object
key
additional properties
string
requested_capabilities
required
Requested Capabilities
Array<string>
external_account_id
required
Any of:
string
external_account_label
required
Any of:
string
environment
required
Environment
string
Allowed values: test live
scopes
required
Scopes
Array<string>
resources
required
Resources
Array<string>
owner
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
backup_owner
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
installed_by
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
field_groups
required
Field Groups
Array<string>
mappings
required
Mappings
object
key
additional properties
any
direction
required
Any of:
string
Allowed values: inbound outbound two_way
authority
required
Authority
object
key
additional properties
any
config
required
Config
object
key
additional properties
any
credential_hint
required
Any of:
string
has_credentials
required
Has Credentials
boolean
plan_reviewed_at
required
Any of:
string format: date-time
plan_reviewed_by
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
last_verified_account_at
required
Any of:
string format: date-time
last_verified_operation_at
required
Any of:
string format: date-time
last_success_at
required
Any of:
string format: date-time
last_error
required
Any of:
string
next_retry_at
required
Any of:
string format: date-time
paused_at
required
Any of:
string format: date-time
disconnected_at
required
Any of:
string format: date-time
legacy_connection_id
required
Any of:
string
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_action
required
Next Action
string
Example
[
{
"status": "draft",
"environment": "test",
"direction": "inbound"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}